package com.ifish.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: yan.y
 * @Description: tbl_tmp_push_remind
 * @Date: Created in 16:45 2018/1/28
 * @Modified by:
 */
@Entity
@Table(name = "tbl_tmp_push_remind")
public class PushRemind implements Serializable{

    @Id
    private PushRemindId id;

    @Column(name = "phone_number")
    private String phoneNumber;

    @Column(name = "mac_address")
    private String macAddress;

    @Column(name = "show_name")
    private String showName;

    @Column(name = "login_type")
    private String loginType;

    @Column(name = "remind_date")
    private Date remindDate;

    @Column(name = "remind_cycle")
    private Integer remindCycle;

    @Column(name = "is_push")
    private String isPush;

    public PushRemindId getId() {
        return id;
    }

    public void setId(PushRemindId id) {
        this.id = id;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getShowName() {
        return showName;
    }

    public void setShowName(String showName) {
        this.showName = showName;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public Date getRemindDate() {
        return remindDate;
    }

    public void setRemindDate(Date remindDate) {
        this.remindDate = remindDate;
    }

    public Integer getRemindCycle() {
        return remindCycle;
    }

    public void setRemindCycle(Integer remindCycle) {
        this.remindCycle = remindCycle;
    }

    public String getIsPush() {
        return isPush;
    }

    public void setIsPush(String isPush) {
        this.isPush = isPush;
    }
}
